append.hpp File Reference
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/list/fold_right.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_LIST_APPEND(a, b) MSGPACK_PP_LIST_APPEND_I(a, b)
#define | MSGPACK_PP_LIST_APPEND_I(a, b) MSGPACK_PP_LIST_FOLD_RIGHT(MSGPACK_PP_LIST_APPEND_O, b, a)
#define | MSGPACK_PP_LIST_APPEND_O(d, s, x) (x, s)
#define | MSGPACK_PP_LIST_APPEND_D(d, a, b) MSGPACK_PP_LIST_APPEND_D_I(d, a, b)
#define | MSGPACK_PP_LIST_APPEND_D_I(d, a, b) MSGPACK_PP_LIST_FOLD_RIGHT_ ## d(MSGPACK_PP_LIST_APPEND_O, b, a)

## Macro Definition Documentation

## MSGPACK_PP_LIST_APPEND

#define MSGPACK_PP_LIST_APPEND | ( |  | a,
|  |  | b
| ) |  | MSGPACK_PP_LIST_APPEND_I(a, b)

## MSGPACK_PP_LIST_APPEND_D

#define MSGPACK_PP_LIST_APPEND_D | ( |  | d,
|  |  | a,
|  |  | b
| ) |  | MSGPACK_PP_LIST_APPEND_D_I(d, a, b)

## MSGPACK_PP_LIST_APPEND_D_I

#define MSGPACK_PP_LIST_APPEND_D_I | ( |  | d,
|  |  | a,
|  |  | b
| ) |  | MSGPACK_PP_LIST_FOLD_RIGHT_ ## d(MSGPACK_PP_LIST_APPEND_O, b, a)

## MSGPACK_PP_LIST_APPEND_I

#define MSGPACK_PP_LIST_APPEND_I | ( |  | a,
|  |  | b
| ) |  | MSGPACK_PP_LIST_FOLD_RIGHT(MSGPACK_PP_LIST_APPEND_O, b, a)

## MSGPACK_PP_LIST_APPEND_O

#define MSGPACK_PP_LIST_APPEND_O | ( |  | d,
|  |  | s,
|  |  | x
| ) |  | (x, s)